//textures/project_hoder/interstellar
//{
//    qer_editorimage env/interstellar/interstellar_ft.tga
//    surfaceparm noimpact
//    surfaceparm nolightmap
//    q3map_globaltexture
//    q3map_lightrgb .8 1.0 .9
//    q3map_skylight 200 4
//    surfaceparm sky
//    q3map_sunext .9 1.0 .9 200 342 60 2 16
//    skyparms env/interstellar/interstellar - -
//}

textures/project_hoder/skybox
{
    qer_editorimage env/hip_miramar/miramar_up.tga
    q3map_globaltexture
    q3map_lightmapFilterRadius 0 6
    q3map_lightsubdivide 512

    q3map_sunext 1 1 1 200 320 70 2 16
    q3map_skylight 600 4
    q3map_lightmapFilterRadius 0 8

    q3map_noFog

    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nodlight

    skyparms env/hip_miramar/miramar - -

    nopicmip
    nomipmaps
}

textures/project_hoder/ice
{
    qer_editorImage textures/project_hoder/ice.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/project_hoder/ice.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
    }
textures/project_hoder/icefloor
{
    qer_editorImage textures/project_hoder/icyfloor.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/project_hoder/icyfloor.tga
		rgbGen identity
    }
	{
		map textures/_project_hoder/tinfx3.tga
		blendFunc GL_ONE GL_ONE
		tcGen environment
    }
    {
        map $lightmap
        blendfunc filter
		rgbGen identity
    }
}
textures/project_hoder/snow
{
    qer_editorImage textures/project_hoder/snow.tga
    surfaceparm nodamage
    {
        map textures/project_hoder/snow.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/project_hoder/barrier
{
    qer_editorImage textures/project_hoder/barrier.tga
    surfaceparm detail
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/project_hoder/barrier.tga
        blendFunc filter
    }
}

textures/project_hoder/barrier_sl
{
    qer_editorImage textures/project_hoder/barrier_sl.tga
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/project_hoder/barrier_sl.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_project_hoder/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/project_hoder/darkfloor
{
    q3map_lightImage textures/project_hoder/darkfloor.jpg
    qer_editorImage textures/project_hoder/darkfloor.jpg
    surfaceparm nodamage
    {
        map textures/project_hoder/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}
textures/project_hoder/darkfloor_s
{
    q3map_lightImage textures/project_hoder/darkfloor.jpg
    qer_editorImage textures/project_hoder/editor/darkfloor_s.jpg
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/project_hoder/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}
textures/project_hoder/rust_2
{
    q3map_lightImage textures/project_hoder/rust_2.jpg
    qer_editorImage textures/project_hoder/rust_2.jpg
    surfaceparm nodamage
    {
        map textures/project_hoder/rust_2.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/project_hoder/glass_clear
{
        qer_editorimage textures/project_hoder/qer_clear.tga
        qer_trans .75
        surfaceparm alphashadow
        surfaceparm detail
        surfaceparm nodamage
        surfaceparm slick
        surfaceparm nomarks
        surfaceparm trans
        {
            map textures/project_hoder/glass.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
            rgbGen identity
        }
        {
            map textures/_project_hoder/tint.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map textures/_project_hoder/tint.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbGen identity
        }
}

textures/project_hoder/oneway
{
    qer_editorImage textures/project_hoder/oilslick.tga
    q3map_editorImage textures/project_hoder/oilslick.tga
    qer_trans 0.8
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm playerclip
    surfaceparm nodamage
    surfaceparm slick
    polygonOffset
    {
        map $lightmap
        blendFunc filter
    }
    {
        map textures/project_hoder/oilslick.tga
        rgbgen wave sin 0.15 0.04 0 1
        blendFunc add
    }
}


textures/project_hoder/rainbow_tex
{
	qer_editorImage textures/project_hoder/rainbow/b_rainbow1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none

	{
		animMap 10 textures/project_hoder/rainbow/b_rainbow1.tga 			textures/project_hoder/rainbow/b_rainbow2.tga 					textures/project_hoder/rainbow/b_rainbow3.tga 					textures/project_hoder/rainbow/b_rainbow4.tga 					textures/project_hoder/rainbow/b_rainbow5.tga 					textures/project_hoder/rainbow/b_rainbow6.tga 					textures/project_hoder/rainbow/b_rainbow7.tga 					textures/project_hoder/rainbow/b_rainbow8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		tcMod rotate 1
	}
	{
		animMap 10 textures/project_hoder/rainbow/b_rainbow2.tga 			textures/project_hoder/rainbow/b_rainbow3.tga 					textures/project_hoder/rainbow/b_rainbow4.tga 					textures/project_hoder/rainbow/b_rainbow5.tga 					textures/project_hoder/rainbow/b_rainbow6.tga 					textures/project_hoder/rainbow/b_rainbow7.tga 					textures/project_hoder/rainbow/b_rainbow8.tga 					textures/project_hoder/rainbow/b_rainbow1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
		tcMod rotate 1
	}


	{
		map textures/project_hoder/rainbow/b_rainbowball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
		tcMod rotate1
	}

}

textures/project_hoder/water
{
	qer_editorimage textures/project_hoder/water4_sfx.tga
                qer_trans .5
                surfaceparm trans
                surfaceparm nonsolid
                surfaceparm water
                tessSize 256
                cull disable
                deformVertexes wave 256 sin 0.5 1.75 .5 .5

                {
                        map textures/project_hoder/water4_sfx.tga
                        blendfunc add
                        rgbgen identity
                        tcmod scale .5 .5
                        tcmod transform 1.5 0 1.5 1 1 2
                        tcmod scroll -.05 .001
                }
                {
                        map textures/project_hoder/water4_sfx.tga
                        blendfunc add
                        rgbgen identity
                        tcmod scale .5 .5
                        tcmod transform 0 1.5 1 1.5 2 1
                        tcmod scroll .025 -.001
                }
                {
                        map textures/project_hoder/water4_bfx.tga
                        blendfunc filter
                        rgbgen identity
                        tcmod scale .25 .5
                        tcmod scroll .001 .025
                }
                {
                        map $lightmap
                        blendFunc GL_dst_color GL_zero
                        rgbgen identity
                }
}

textures/project_hoder/lightmap-sky_1200
{
    qer_editorimage textures/project_hoder/editor/lightmap-sky.tga
    qer_trans .8
    q3map_surfaceLight 1200
    q3map_lightSubdivide 512
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm detail
    q3map_lightRGB .8 1.0 .9
    {
        map textures/project_hoder/lightmap.tga
        blendFunc filter
    }
}

textures/project_hoder/lightmap-sky_700
{
    qer_editorimage textures/project_hoder/editor/lightmap-sky.tga
    qer_trans 0.6
    q3map_surfaceLight 700
    q3map_lightSubdivide 512
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm detail
    q3map_lightRGB .8 1.0 .9
    {
        map textures/project_hoder/lightmap.tga
        blendFunc filter
    }
}

textures/project_hoder/lightmap-sky_300
{
    qer_editorimage textures/project_hoder/editor/lightmap-sky.tga
    qer_trans 0.4
    q3map_surfaceLight 300
    q3map_lightSubdivide 512
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm detail
    q3map_lightRGB .8 1.0 .9
    {
        map textures/project_hoder/lightmap.tga
        blendFunc filter
    }
}

textures/project_hoder/lightmap-sky_100
{
    qer_editorimage textures/project_hoder/editor/lightmap-sky.tga
    qer_trans 0.2
    q3map_surfaceLight 100
    q3map_lightSubdivide 512
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm detail
    q3map_lightRGB .8 1.0 .9
    {
        map textures/project_hoder/lightmap.tga
        blendFunc filter
    }
}

textures/project_hoder/lightmap_1200
{
    qer_editorimage textures/project_hoder/editor/lightmap-flame.tga
    qer_trans .8
    q3map_surfaceLight 1200
    q3map_lightSubdivide 512
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm detail
    q3map_lightRGB 0.656 0.349 0.094
    {
        map textures/project_hoder/lightmap.tga
        blendFunc filter
    }
}

textures/project_hoder/lightmap_700
{
    qer_editorimage textures/project_hoder/editor/lightmap-flame.tga
    qer_trans 0.6
    q3map_surfaceLight 700
    q3map_lightSubdivide 512
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm detail
    q3map_lightRGB 0.656 0.349 0.094
    {
        map textures/project_hoder/lightmap.tga
        blendFunc filter
    }
}

textures/project_hoder/lightmap_300
{
    qer_editorimage textures/project_hoder/editor/lightmap-flame.tga
    qer_trans 0.4
    q3map_surfaceLight 300
    q3map_lightSubdivide 512
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm detail
    q3map_lightRGB 0.656 0.349 0.094
    {
        map textures/project_hoder/lightmap.tga
        blendFunc filter
    }
}

textures/project_hoder/lightmap_100
{
    qer_editorimage textures/project_hoder/editor/lightmap-flame.tga
    qer_trans 0.2
    q3map_surfaceLight 100
    q3map_lightSubdivide 512
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm detail
    q3map_lightRGB 0.656 0.349 0.094
    {
        map textures/project_hoder/lightmap.tga
        blendFunc filter
    }
}


models/mapobjects/cmm_bluelamp/blueflame
{
    qer_editorimage models/mapobjects/cmm_bluelamp/blueflame.tga
    q3map_cloneshader models/mapobjects/cmm_bluelamp/zztorch_1
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 66 sawtooth 0 1 0 0.892
    deformvertexes move -8.0244 -4.07541 0 sawtooth 0 1 0 0.892
    deformvertexes autosprite
    cull disable
    sort 16
    {
        clampmap models/mapobjects/cmm_bluelamp/blueflame.tga
        blendfunc GL_ONE GL_ONE
        rgbgen wave sawtooth 1.8666 -2.9333 0 0.892
        alphagen wave sawtooth 5 -4.2667 0 0.892
        tcMod stretch sawtooth 1 -0.76 0 0.892
    }
}

models/mapobjects/cmm_bluelamp/zztorch_1
{
    qer_editorimage models/mapobjects/cmm_bluelamp/blueflame.tga
    q3map_cloneshader models/mapobjects/cmm_bluelamp/zztorch_2
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 75 sawtooth 0 1 0.1 0.892
    deformvertexes move -0.320613 -0.94721 0 sawtooth 0 1 0.1 0.892
    deformvertexes autosprite
    cull disable
    sort 16
    {
        clampmap models/mapobjects/cmm_bluelamp/blueflame.tga
        blendfunc GL_ONE GL_ONE
        rgbgen wave sawtooth 1.8666 -2.9333 0.1 0.892
        alphagen wave sawtooth 5 -4.2667 0.1 0.892
        tcMod stretch sawtooth 1 -0.76 0.1 0.892
    }
}

models/mapobjects/cmm_bluelamp/zztorch_2
{
    qer_editorimage models/mapobjects/cmm_bluelamp/blueflame.tga
    q3map_cloneshader models/mapobjects/cmm_bluelamp/zztorch_3
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 56 sawtooth 0 1 0.2 0.892
    deformvertexes move -8.5106 9.82698 0 sawtooth 0 1 0.2 0.892
    deformvertexes autosprite
    cull disable
    sort 16
    {
        clampmap models/mapobjects/cmm_bluelamp/blueflame.tga
        blendfunc GL_ONE GL_ONE
        rgbgen wave sawtooth 1.8666 -2.9333 0.2 0.892
        alphagen wave sawtooth 5 -4.2667 0.2 0.892
        tcMod stretch sawtooth 1 -0.76 0.2 0.892
    }
}

models/mapobjects/cmm_bluelamp/zztorch_3
{
    qer_editorimage models/mapobjects/cmm_bluelamp/blueflame.tga
    q3map_cloneshader models/mapobjects/cmm_bluelamp/zztorch_4
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 63 sawtooth 0 1 0.3 0.892
    deformvertexes move -4.408 -4.07057 0 sawtooth 0 1 0.3 0.892
    deformvertexes autosprite
    cull disable
    sort 16
    {
        clampmap models/mapobjects/cmm_bluelamp/blueflame.tga
        blendfunc GL_ONE GL_ONE
        rgbgen wave sawtooth 1.8666 -2.9333 0.3 0.892
        alphagen wave sawtooth 5 -4.2667 0.3 0.892
        tcMod stretch sawtooth 1 -0.76 0.3 0.892
    }
}

models/mapobjects/cmm_bluelamp/zztorch_4
{
    qer_editorimage models/mapobjects/cmm_bluelamp/blueflame.tga
    q3map_cloneshader models/mapobjects/cmm_bluelamp/zztorch_5
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 68 sawtooth 0 1 0.4 0.892
    deformvertexes move -7.91277 -6.11458 0 sawtooth 0 1 0.4 0.892
    deformvertexes autosprite
    cull disable
    sort 16
    {
        clampmap models/mapobjects/cmm_bluelamp/blueflame.tga
        blendfunc GL_ONE GL_ONE
        rgbgen wave sawtooth 1.8666 -2.9333 0.4 0.892
        alphagen wave sawtooth 5 -4.2667 0.4 0.892
        tcMod stretch sawtooth 1 -0.76 0.4 0.892
    }
}

models/mapobjects/cmm_bluelamp/zztorch_5
{
    qer_editorimage models/mapobjects/cmm_bluelamp/blueflame.tga
    q3map_cloneshader models/mapobjects/cmm_bluelamp/zztorch_6
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 42 sawtooth 0 1 0.5 0.892
    deformvertexes move 3.51552 -4.86221 0 sawtooth 0 1 0.5 0.892
    deformvertexes autosprite
    cull disable
    sort 16
    {
        clampmap models/mapobjects/cmm_bluelamp/blueflame.tga
        blendfunc GL_ONE GL_ONE
        rgbgen wave sawtooth 1.8666 -2.9333 0.5 0.892
        alphagen wave sawtooth 5 -4.2667 0.5 0.892
        tcMod stretch sawtooth 1 -0.76 0.5 0.892
    }
}

models/mapobjects/cmm_bluelamp/zztorch_6
{
    qer_editorimage models/mapobjects/cmm_bluelamp/blueflame.tga
    q3map_cloneshader models/mapobjects/cmm_bluelamp/zztorch_7
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 66 sawtooth 0 1 0.6 0.892
    deformvertexes move 7.87289 -7.68229 0 sawtooth 0 1 0.6 0.892
    deformvertexes autosprite
    cull disable
    sort 16
    {
        clampmap models/mapobjects/cmm_bluelamp/blueflame.tga
        blendfunc GL_ONE GL_ONE
        rgbgen wave sawtooth 1.8666 -2.9333 0.6 0.892
        alphagen wave sawtooth 5 -4.2667 0.6 0.892
        tcMod stretch sawtooth 1 -0.76 0.6 0.892
    }
}

models/mapobjects/cmm_bluelamp/zztorch_7
{
    qer_editorimage models/mapobjects/cmm_bluelamp/blueflame.tga
    q3map_cloneshader models/mapobjects/cmm_bluelamp/zztorch_8
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 81 sawtooth 0 1 0.7 0.892
    deformvertexes move 0 -0 0 sawtooth 0 1 0.7 0.892
    deformvertexes autosprite
    cull disable
    sort 16
    {
        clampmap models/mapobjects/cmm_bluelamp/blueflame.tga
        blendfunc GL_ONE GL_ONE
        rgbgen wave sawtooth 1.8666 -2.9333 0.7 0.892
        alphagen wave sawtooth 5 -4.2667 0.7 0.892
        tcMod stretch sawtooth 1 -0.76 0.7 0.892
    }
}

models/mapobjects/cmm_bluelamp/zztorch_8
{
    qer_editorimage models/mapobjects/cmm_bluelamp/blueflame.tga
    q3map_cloneshader models/mapobjects/cmm_bluelamp/zztorch_9
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 54 sawtooth 0 1 0.8 0.892
    deformvertexes move 0.268012 -0.963416 0 sawtooth 0 1 0.8 0.892
    deformvertexes autosprite
    cull disable
    sort 16
    {
        clampmap models/mapobjects/cmm_bluelamp/blueflame.tga
        blendfunc GL_ONE GL_ONE
        rgbgen wave sawtooth 1.8666 -2.9333 0.8 0.892
        alphagen wave sawtooth 5 -4.2667 0.8 0.892
        tcMod stretch sawtooth 1 -0.76 0.8 0.892
    }
}

models/mapobjects/cmm_bluelamp/zztorch_9
{
    qer_editorimage models/mapobjects/cmm_bluelamp/blueflame.tga
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nodlight
    deformvertexes move 0 0 63 sawtooth 0 1 0.9 0.892
    deformvertexes move -0.472853 3.97195 0 sawtooth 0 1 0.9 0.892
    deformvertexes autosprite
    cull disable
    sort 16
    {
        clampmap models/mapobjects/cmm_bluelamp/blueflame.tga
        blendfunc GL_ONE GL_ONE
        rgbgen wave sawtooth 1.8666 -2.9333 0.9 0.892
        alphagen wave sawtooth 5 -4.2667 0.9 0.892
        tcMod stretch sawtooth 1 -0.76 0.9 0.892
    }
}
